Bug 1289349 - ardour4 startup script needs nm command from binutils
ardour4 startup script needs nm command from binutils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ardour4 (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 17:10 EST by fb.bugs.rh
Modified: 2016-03-09 15:13 EST (History)
1 user (show)

See Also:
Fixed In Version: ardour4-4.7.0-1.fc22 ardour4-4.7.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fb.bugs.rh 2015-12-07 17:10:35 EST
Description of problem:

After a fresh Fedora 23 WS 32-bit default netinstall with all updates, 
`/usr/bin/ardour4` complains about missing `nm` command.

```
/usr/bin/ardour4: line 31: nm: command not found
/usr/bin/ardour4: line 31: [: -gt: unary operator expected
```
Installing package `binutils` solves the problem.


Version-Release number of selected component (if applicable):
ardour4-4.4.0-1.fc23.i686.rpm
Ardour4.4.0 (built using 4.4 and GCC version 5.1.1 20150618 (Red Hat 5.1.1-4))


How reproducible:

Always


Steps to Reproduce:

In a terminal, do:

1. $ sudo dnf install ardour4
2. $ ardour4
...
/usr/bin/ardour4: line 31: nm: command not found
/usr/bin/ardour4: line 31: [: -gt: unary operator expected
...


Actual results:

`/usr/bin/ardour4` complains about missing `nm` command


Expected results:

Such message should not be displayed.


Additional info:

Installing package `binutils` which provides `nm` command solves the problem.
Comment 1 Nils Philippsen 2016-02-22 07:47:39 EST
proposed upstream patch: https://github.com/Ardour/ardour/pull/208
Comment 2 Fedora Update System 2016-02-22 14:17:46 EST
ardour4-4.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8467972595
Comment 3 Fedora Update System 2016-02-22 14:17:47 EST
ardour4-4.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9c56ff0f
Comment 4 Fedora Update System 2016-02-22 14:17:48 EST
ardour4-4.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8467972595
Comment 5 Fedora Update System 2016-02-22 14:17:48 EST
ardour4-4.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9c56ff0f
Comment 6 Fedora Update System 2016-02-22 14:17:49 EST
ardour4-4.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8467972595
Comment 7 Fedora Update System 2016-02-22 14:17:51 EST
ardour4-4.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8467972595
Comment 8 Fedora Update System 2016-02-23 16:26:52 EST
ardour4-4.7.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8467972595
Comment 9 Fedora Update System 2016-02-24 16:52:33 EST
ardour4-4.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9c56ff0f
Comment 10 Fedora Update System 2016-03-04 20:20:19 EST
ardour4-4.7.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-09 10:55:18 EST
ardour4-4.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-09 15:13:55 EST
ardour4-4.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.